body {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
}

nav {
    background: #036;
    color: white;
    padding: 20px 0;
    text-align: center;
}

nav ul {
    list-style: none;   
    display: flex;
    justify-content: center;
}

nav ul li {
    margin: 0 10px
}

nav ul li a {
    color: white;
    text-decoration: none;
}
nav ul li a:hover {
    text-decoration:  underline;
}

/*cacher le menu burger en version desktop*/
.menu-toggle {
  display: none;
} 

#hero {
    background-image: url(../img/hero\ banner.jpg);
    text-align: center;
    padding: 20vh 5vw;
    color: white;
}

#about {
    text-align: center;
    padding: 5vw;
}

#about h2 {
    text-align: center;   
}

/* SECTION MES PROJETS */
 /* container cards */
.project-cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 0 20px;
   }
   /* card */
.project-card {
    overflow: hidden;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
   }
.project-card img {
  width: 100%;
  height: 150px;
  object-fit: cover;
   }

.project-card p {
    padding: 5px 10px;
}

.project-card .btn {
    display: block;
    text-align: center;
    padding: 10px;
    background-color: #333;
    margin: 15px;
    color: #fafafa;
    text-decoration: none;
    border-radius: 5px;
    transition: backgroud-color 0.3s;

}

.project-card .btn :hover {
    background-color: rgb 80, 80, 80;
}

/* SECTION MES COMPETENCES */
#skills {
    padding: 50px;
    background-color: #003366;
    color: white;
    text-align: center;
  }
  /* skills container */
  .skills-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;
  }
  /* skill */
  .skill {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100px;
    text-align: center;
  }
  .skill img {
    width: 70px;
    height: 70px;
    background-color: #fafafa;
    border-radius: 50%;
    padding: 10px;
    margin-bottom: 10px;
    transition: transform 0.3s;
  }

  .skill img:hover {
    transform:  scale(1.1);
  }

#contact h2 {
  text-align: center;
}

  form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    color: white;
    background-color: #036;
    border-radius: 5px;
  }

  form input,
    form textarea {
    background-color: #fafafa;
    border-radius: 4px;
    padding: 10px 0;
    width: 100%;
    box-sizing: border-box
    ;
    border: 1px solid #555;

  }

  form textarea {
    min-height: 100px;
  }

form div {
  margin-bottom: 15px;
}

form label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

form button {
  padding: 15px;
  width: 100%;
  border-radius: 4px;
  background-color: #dedcdc;
  color: black;
  border: none;
  font-weight: bold;
  transition: background-color 0.3s;
}

form button:hover {
  background-color: #a2a2a3;
}                   

@media (max-width: 768px) {
  
  .menu-toggle{
    display: block;
    cursor: pointer; 
  }

  nav {
    position: sticky;
    top: 0;
    height: 45px;
  }

nav ul {
    display: none;
}

nav ul.show {
  display: none;
  display: flex;
  flex-direction: column;
  background-color: #003366;
  width: 100%;
  gap: 30px;
  padding: 30px 0px;
}

}